<?php

include_once 'ADBKeyCodes.php';
include_once 'AppNames.php';

class ADBService
{
    const DEFAULT_HOST = '192.168.0.132';
    private $host;

    public function __construct($host)
    {
        $this->host = $host;
        return $this->connect();
    }

    public function connect()
    {
        return $this->executeCommand('connect ' . escapeshellarg($this->host));
    }

    public function disconnect()
    {
        return $this->executeCommand('disconnect');
    }

    public function executeCommand($command)
    {
        return shell_exec('adb ' . $command);
    }

    public function sendKey($keyIdentifier)
    {
        return $this->executeCommand(' shell input keyevent ' . ADB_KEYCODES[$keyIdentifier]);
    }

    public function startApp($appName)
    {
        return $this->executeCommand(' shell am start ' . APP_NAMES[$appName]);
    }
}

